Bug 805525 - UI inconsistency: Alerts subtabs are inconsistent with Operations subtabs
UI inconsistency: Alerts subtabs are inconsistent with Operations subtabs
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Monitoring - Alerts, Operations, Usability (Show other bugs)
JON 3.0.0
Unspecified Unspecified
unspecified Severity low
: DR01
: JON 3.3.0
Assigned To: Jirka Kremser
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-21 10:09 EDT by Peter Larsen
Modified: 2014-12-11 09:04 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-11 09:04:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Larsen 2012-03-21 10:09:57 EDT
Description of problem:

When clicking Alerts, the sub-tab starts with History (the default) and then Definitions. When clicking "operations", the order of the sub-tabs are opposite. The default of history on Alerts makes it necessary to click an extra time before you can see the "new" button. 

Would it be possible to make a "new" button on history too? Or at least make the sub-tabs appear consistent across the main resource tabs?


How reproducible:

Choose any resource - JVM for instance, click "Alerts" on the Resource screen. The click Operations. The order of the sub-tabs changes.
Comment 1 Mike Foley 2012-03-26 11:57:40 EDT
medium, no target release 

per bz triage (crouch, mfoley, asantos, loleary)
Comment 2 mark yarborough 2012-11-06 15:05:20 EST
Per 3.1.2 triage with loleary, mfoley, ccrouch, asantos: Okay to move to JON 3.2.
Comment 4 Jirka Kremser 2014-01-21 12:08:47 EST
branch:  master
link:    http://git.fedorahosted.org/cgit/rhq/rhq.git/commit/?id=66de93612
time:    2014-01-21 14:47:51 +0100
commit:  66de93612072afd22955e8be938bfcb31b7e9746
author:  Jirka Kremser - jkremser@redhat.com
message: [BZ 805525] - UI inconsistency: Alerts subtabs are inconsistent with
         Operations subtabs - First sub-tab for Alerts tab is now the
         History tab (not the Definitions, as it was before). The UI is
         now more consistent with the other tabs such as Operations,
         Configuration. It is also possible to schedule/define new
         operation/alert definition directly from the history view.
Comment 6 Simeon Pinder 2014-07-31 11:51:45 EDT
Moving to ON_QA as available to test with brew build of DR01: https://brewweb.devel.redhat.com//buildinfo?buildID=373993

Note You need to log in before you can comment on or make changes to this bug.